HPLIP/SANE driving me insane!

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

HPLIP/SANE driving me insane!

Postby ReemZ » Sat Jan 04, 2014 21:27

I'm going mental here. My desky finds my all-in-one HP Officejet 4620, my lappy doesn't.
Both are fully up to date so latest versions of packages in Entropy on both machines, both run SL 64 bit with KDE, both on OpenRC. The printer is connected to the router wirelessly and was visible before.
Browsing to its IP address from the desktop opens the HP Embedded Web Server, the lappy won't connect.
On both systems, my user is member of groups lp, lpadmin and scanner (among loads of others, of course).

Any ideas?
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Re: HPLIP/SANE driving me insane!

Postby sabayonino » Sat Jan 04, 2014 22:04

Hi

plug your lappy to your Hp-Printer via USB and configure running hp-setup
Code: Select all
# hp-setup


you can configure your wifi/LAN printer
User avatar
sabayonino
Sagely Hen
 
Posts: 2463
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: HPLIP/SANE driving me insane!

Postby ReemZ » Thu Jan 09, 2014 19:04

sabayonino wrote:Hi

plug your lappy to your Hp-Printer via USB and configure running hp-setup
Code: Select all
# hp-setup


you can configure your wifi/LAN printer

I ran it without connecting the devices over USB to see what it would do, it launches the detection bit again but at least gives me a few lines in the terminal:
Code: Select all
$ hp-setup

HP Linux Imaging and Printing System (ver. 3.13.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
error: No devices found on bus: net

Done.

To clarify, this is a network printer, it's not meant to be connected directed to my laptop.
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Re: HPLIP/SANE driving me insane!

Postby batvink » Thu Jan 09, 2014 20:01

Reemz,
can you check if the printer has got a valid IP address, assigned from the router?
Maybe it helps to reassign a IP (button on the printer itself to reassign IP, or setup wireless),
and as soon as it got one, run hp-setup again...

(kijk ook ff of de avahi, cupsd, netmount en nfsmount daemons meedraaien)
en hp-plugin en net-snmp installed
User avatar
batvink
Old Dear Hen
 
Posts: 495
Joined: Sun Oct 28, 2007 11:44
Location: the netherlands

Re: HPLIP/SANE driving me insane!

Postby batvink » Fri Jan 10, 2014 16:34

output of:
Code: Select all
hp-check -rt

on both Desky and Lappy.
Also, maybe not needed to ask, but:
did you run hp-plugin from a terminal?
Further, can it be a network timeout too low?
cat /proc/sys/net/ipv4/tcp_keepalive_time
7200

Or has the printer limitations on max. connected clients
(manual) just plain guessing here...
User avatar
batvink
Old Dear Hen
 
Posts: 495
Joined: Sun Oct 28, 2007 11:44
Location: the netherlands

Re: HPLIP/SANE driving me insane!

Postby ReemZ » Fri Jan 10, 2014 16:59

batvink wrote:Reemz,
can you check if the printer has got a valid IP address, assigned from the router?
Maybe it helps to reassign a IP (button on the printer itself to reassign IP, or setup wireless),
and as soon as it got one, run hp-setup again...

IP address is valid. Again, the desktop finds the device on the network.

batvink wrote:(kijk ook ff of de avahi, cupsd, netmount en nfsmount daemons meedraaien)
en hp-plugin en net-snmp installed

Desktop:
Code: Select all
reemz@ReemZ-SLMC ~ $ hp-check -rt
Saving output in log file: /home/reemz/hp-check.log

HP Linux Imaging and Printing System (ver. 3.13.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to successfully compile HPLIP.                                                                 
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper dependencies installed to successfully run.                                                         
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).                                                                                                                     

Check types:                                                                                                                                                                                                                                                                   
a. EXTERNALDEP - External Dependencies                                                                                                                                                                                                                                         
b. GENERALDEP - General Dependencies (required both at compile and run time)                                                                                                                                                                                                   
c. COMPILEDEP - Compile time Dependencies                                                                                                                                                                                                                                     
d. [All are run-time checks]                                                                                                                                                                                                                                                   
PYEXT SCANCONF QUEUES PERMISSION                                                                                                                                                                                                                                               

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

warning: sabayon distro is not found in AUTH_TYPES
warning: gentoo-0.0 version is not supported. Using gentoo-any versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 3.12.0-sabayon #1 SMP Fri Dec 20 20:16:32 UTC 2013 GNU/Linux
 Host: ReemZ-SLMC.fritz.box
 Proc: 3.12.0-sabayon #1 SMP Fri Dec 20 20:16:32 UTC 2013 GNU/Linux
 Distribution: gentoo 0.0
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.13.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro  0.0 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.13.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.13.10
html=/usr/share/doc/hplip-3.13.10/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=no
shadow-build=no
hpijs-install=yes
foomatic-drv-install=no
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.13.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev-acl-rules=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
latest_available_version = 3.13.11
notify_upgrade = false
last_upgraded_time = 1389365704.3601
pending_upgrade_time = 0

[settings]
systray_visible = 0
systray_messages = 1

[last_used]
device_uri = "hp:/net/Officejet_4620_series?ip=192.168.178.20"
printer_name = Officejet_4620
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 01/10/2014 16:46:29
version = 3.13.10


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 policykit            Admin-Policy-framework    OPTIONAL        -               0.112           OK         -
 gs                   Ghostscript               REQUIRED        7.05            9.10            OK         -
 network              Network-wget              OPTIONAL        -               1.14            OK         -
 scanimage            Shell-Scanning            OPTIONAL        1.0             1.0.24          OK         -
 avahi-utils          avahi-utils               OPTIONAL        -               0.6.31          OK         -
 dbus                 DBus                      REQUIRED        -               1.6.18          OK         -
 cups                 CUPS                      REQUIRED        1.1             1.6.4           OK         'CUPS Scheduler is running'
 xsane                SANE-GUI                  OPTIONAL        0.9             0.999           OK         -

-------------------------
|  General Dependencies |
-------------------------

 reportlab            Python-PDF-Lib            OPTIONAL        2.0             2.6             OK         -
 libcrypto            OpenSSL-Crypto-Lib        REQUIRED        -               1.0.1           OK         -
 pil                  Python-Image-Lib          OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt4-DBUS                REQUIRED        4.0             4.10.3          OK         -
 libjpeg              JPEG-Lib                  REQUIRED        -               -               OK         -
 libpthread           POSIX-Threads-Lib         REQUIRED        -               2.17            OK         -
 python-dbus          Python-DBUS               REQUIRED        0.80.0          1.2.0           OK         -
 python-devel         Python-SDK                REQUIRED        2.2             2.7.5           OK         -
 pyqt4                Python-Qt4                REQUIRED        4.0             4.10.3          OK         -
 cups-devel           CUPS-SDK                  REQUIRED        -               1.6.4           OK         -
 sane-devel           SANE-SDK                  REQUIRED        -               1.0.24          OK         -
 libusb               USB-Lib                   REQUIRED        -               1.0             OK         -
 sane                 Scan-Lib                  REQUIRED        -               1.0.24          OK         -
 cups-image           CUPS-Image-Lib            REQUIRED        -               1.6.4           OK         -
 libnetsnmp-devel     SNMP-Networking-SDK       REQUIRED        5.0.9           5.7.2           OK         -
 python-xml           Python-XML-Lib            REQUIRED        -               2.1.0           OK         -
 python-notify        Desktop-notifications     OPTIONAL        -               -               OK         -

----------------------
|  Python Extentions |
----------------------

 cupsext              CUPS-Extension            REQUIRED        -               3.13.10         OK         -
 pcardext             PhotoCard-Extension       REQUIRED        -               3.13.10         OK         -
 hpmudext             IO-Extension              REQUIRED        -               3.13.10         OK         -

-----------------------
|  Scan Configuration |
-----------------------

 hpaio                HPLIP-SANE-Backend        REQUIRED        -               3.13.10         OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension       REQUIRED        -               3.13.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

error: Failed to get Scanners information.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
Officejet_4620
--------------
Type: Printer
Device URI: hp:/net/Officejet_4620_series?ip=192.168.178.20
PPD: /etc/cups/ppd/Officejet_4620.ppd
PPD Description: HP Officejet 4620 Series, hpcups 3.13.10
Printer status: printer Officejet_4620 is idle.  enabled since Fri 03 Jan 2014 12:40:00 PM CET
Communication status: Good


--------------
| PERMISSION |
--------------

No errors or warnings.

Done.

Code: Select all
reemz@ReemZ-SLMC ~ $ equo search hp-plugin net-snmp
╠  @@ Searching...
╠      @@ Package: dev-perl/Net-SNMP-6.0.1-r1 branch: 5, [sabayonlinux.org]
╠          Available:     version: 6.0.1-r1 ~ tag: NoTag ~ revision: 1
╠          Installed:     version: Not installed ~ tag: n/a ~ revision: n/a
╠          Slot:          0
╠          Homepage:      http://search.cpan.org/dist/Net-SNMP/
╠          Description:   A SNMP Perl Module
╠          License:       Artistic GPL-1 GPL-2 GPL-3
╠      @@ Package: net-analyzer/net-snmp-5.7.2-r1 branch: 5, [sabayonlinux.org]
╠          Available:     version: 5.7.2-r1 ~ tag: NoTag ~ revision: 1
╠          Installed:     version: 5.7.2-r1 ~ tag: NoTag ~ revision: 1
╠          Slot:          0
╠          Homepage:      http://net-snmp.sourceforge.net/
╠          Description:   Software for generating and retrieving
╠                         SNMP data
╠          License:       BSD GPL-2 HPND
╠   Keywords:  hp-plugin, net-snmp
╠   Found:     2 entries

Code: Select all
ReemZ-SLMC ~ # /etc/init.d/avahi-d status
-su: /etc/init.d/avahi-d: No such file or directory
ReemZ-SLMC ~ # /etc/init.d/cupsd status
 * status: started
ReemZ-SLMC ~ # /etc/init.d/netmount status
 * status: stopped
ReemZ-SLMC ~ # /etc/init.d/nfsmount status
 * status: started


Laptop:
Code: Select all
reemz@ReemZ-T0shiba ~ $ hp-check -rt
Saving output in log file: /home/reemz/hp-check.log

HP Linux Imaging and Printing System (ver. 3.13.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to successfully compile HPLIP.                                                                 
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper dependencies installed to successfully run.                                                         
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).                                                                                                                     

Check types:                                                                                                                                                                                                                                                                   
a. EXTERNALDEP - External Dependencies                                                                                                                                                                                                                                         
b. GENERALDEP - General Dependencies (required both at compile and run time)                                                                                                                                                                                                   
c. COMPILEDEP - Compile time Dependencies                                                                                                                                                                                                                                     
d. [All are run-time checks]                                                                                                                                                                                                                                                   
PYEXT SCANCONF QUEUES PERMISSION                                                                                                                                                                                                                                               

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

warning: sabayon distro is not found in AUTH_TYPES
-/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:57: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
warning: gentoo-0.0 version is not supported. Using gentoo-any versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 3.12.0-sabayon #1 SMP Fri Dec 20 20:16:32 UTC 2013 GNU/Linux
 Host: ReemZ-T0shiba
 Proc: 3.12.0-sabayon #1 SMP Fri Dec 20 20:16:32 UTC 2013 GNU/Linux
 Distribution: gentoo 0.0
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.13.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro  0.0 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.13.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.13.10
html=/usr/share/doc/hplip-3.13.10/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=no
shadow-build=no
hpijs-install=yes
foomatic-drv-install=no
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.13.10
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev-acl-rules=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
latest_available_version = 3.13.11
notify_upgrade = false
last_upgraded_time = 1388784055.53095
pending_upgrade_time = 0

[settings]
systray_visible = 0
systray_messages = 1

[last_used]
device_uri = "hp:/net/Officejet_4620_series?zc=HP8851FBF03B28"
printer_name = Officejet_4620
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 01/10/2014 16:53:11
version = 3.13.10


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 policykit            Admin-Policy-framework    OPTIONAL        -               0.112           OK         -
 gs                   Ghostscript               REQUIRED        7.05            9.10            OK         -
 network              Network-wget              OPTIONAL        -               1.14            OK         -
 scanimage            Shell-Scanning            OPTIONAL        1.0             1.0.24          OK         -
 avahi-utils          avahi-utils               OPTIONAL        -               0.6.31          OK         -
 dbus                 DBus                      REQUIRED        -               1.6.18          OK         -
 cups                 CUPS                      REQUIRED        1.1             1.6.4           OK         'CUPS Scheduler is running'

(xsane:7565): Gtk-WARNING **: cannot open display:
 error: xsane         SANE-GUI                  OPTIONAL        0.9             -               INCOMPAT   'xsane needs to be installed'

-------------------------
|  General Dependencies |
-------------------------

 reportlab            Python-PDF-Lib            OPTIONAL        2.0             2.6             OK         -
 libcrypto            OpenSSL-Crypto-Lib        REQUIRED        -               1.0.1           OK         -
 pil                  Python-Image-Lib          OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt4-DBUS                REQUIRED        4.0             4.10.3          OK         -
 libjpeg              JPEG-Lib                  REQUIRED        -               -               OK         -
 libpthread           POSIX-Threads-Lib         REQUIRED        -               2.17            OK         -
 python-dbus          Python-DBUS               REQUIRED        0.80.0          1.2.0           OK         -
 python-devel         Python-SDK                REQUIRED        2.2             2.7.5           OK         -
 pyqt4                Python-Qt4                REQUIRED        4.0             4.10.3          OK         -
 cups-devel           CUPS-SDK                  REQUIRED        -               1.6.4           OK         -
 sane-devel           SANE-SDK                  REQUIRED        -               1.0.24          OK         -
 libusb               USB-Lib                   REQUIRED        -               1.0             OK         -
 sane                 Scan-Lib                  REQUIRED        -               1.0.24          OK         -
 cups-image           CUPS-Image-Lib            REQUIRED        -               1.6.4           OK         -
 libnetsnmp-devel     SNMP-Networking-SDK       REQUIRED        5.0.9           5.7.2           OK         -
 python-xml           Python-XML-Lib            REQUIRED        -               2.1.0           OK         -
 python-notify        Desktop-notifications     OPTIONAL        -               -               OK         -

----------------------
|  Python Extentions |
----------------------

 cupsext              CUPS-Extension            REQUIRED        -               3.13.10         OK         -
 pcardext             PhotoCard-Extension       REQUIRED        -               3.13.10         OK         -
 hpmudext             IO-Extension              REQUIRED        -               3.13.10         OK         -

-----------------------
|  Scan Configuration |
-----------------------

 hpaio                HPLIP-SANE-Backend        REQUIRED        -               3.13.10         OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension       REQUIRED        -               3.13.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
lpstat
------
Type: Unknown
Device URI: No destinations added.


--------------
| PERMISSION |
--------------

 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 1
Total Warnings: 0


Done.

Code: Select all
reemz@ReemZ-T0shiba ~ $ equo search hp-plugin net-snmp
╠  @@ Searching...
╠      @@ Package: dev-perl/Net-SNMP-6.0.1-r1 branch: 5, [sabayonlinux.org]
╠          Available:     version: 6.0.1-r1 ~ tag: NoTag ~ revision: 1
╠          Installed:     version: Not installed ~ tag: n/a ~ revision: n/a
╠          Slot:          0
╠          Homepage:      http://search.cpan.org/dist/Net-SNMP/
╠          Description:   A SNMP Perl Module
╠          License:       Artistic GPL-1 GPL-2 GPL-3
╠      @@ Package: net-analyzer/net-snmp-5.7.2-r1 branch: 5, [sabayonlinux.org]
╠          Available:     version: 5.7.2-r1 ~ tag: NoTag ~ revision: 1
╠          Installed:     version: 5.7.2-r1 ~ tag: NoTag ~ revision: 1
╠          Slot:          0
╠          Homepage:      http://net-snmp.sourceforge.net/
╠          Description:   Software for generating and retrieving
╠                         SNMP data
╠          License:       BSD GPL-2 HPND
╠   Keywords:  hp-plugin, net-snmp
╠   Found:     2 entries

Code: Select all
ReemZ-T0shiba ~ # /etc/init.d/avahi-d status
-su: /etc/init.d/avahi-d: No such file or directory
ReemZ-T0shiba ~ # /etc/init.d/cupsd status
 * status: started
ReemZ-T0shiba ~ # /etc/init.d/netmount status
 * status: started
ReemZ-T0shiba ~ # /etc/init.d/nfsmount status
 * status: started
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Re: HPLIP/SANE driving me insane!

Postby ReemZ » Fri Jan 10, 2014 17:04

batvink wrote:output of:
Code: Select all
hp-check -rt

on both Desky and Lappy.

Done, see previous post. I noticed on the lappy it said xsane isn't installed, but it is:
Code: Select all
ReemZ-T0shiba ~ # equo search xsane
╠  @@ Searching...
╠      @@ Package: media-gfx/xsane-0.999 branch: 5, [sabayonlinux.org]
╠          Available:     version: 0.999 ~ tag: NoTag ~ revision: 1
╠          Installed:     version: 0.999 ~ tag: NoTag ~ revision: 1
╠          Slot:          0
╠          Homepage:      http://www.xsane.org/
╠          Description:   graphical scanning frontend
╠          License:       GPL-2
╠      @@ Package: media-gfx/xsane-gimp-0.999 branch: 5, [sabayonlinux.org]
╠          Available:     version: 0.999 ~ tag: NoTag ~ revision: 0
╠          Installed:     version: Not installed ~ tag: n/a ~ revision: n/a
╠          Slot:          0
╠          Homepage:      http://www.xsane.org/
╠          Description:   XSane plugin for GIMP
╠          License:       GPL-2
╠   Keywords:  xsane
╠   Found:     2 entries


batvink wrote:Also, maybe not needed to ask, but:
did you run hp-plugin from a terminal?

No. User or root?

batvink wrote:Further, can it be a network timeout too low?
cat /proc/sys/net/ipv4/tcp_keepalive_time
7200

7200 too. Doubt it's that, everything else network-related works on the lappy with lightning speed (fiber optics FTW!)

batvink wrote:Or has the printer limitations on max. connected clients
(manual) just plain guessing here...

Nope, and it's connected wirelessly to the router, not to a specific computer.

The printer is a HP Officejet 4620 btw and the router a Fritz!Box 7390.
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Re: HPLIP/SANE driving me insane!

Postby batvink » Fri Jan 10, 2014 18:09

ok, run hp-plugin on both machines, from a terminal.
Can't remember if you you have to be root for that, but i don't think so..
If it fails as normal user, try again as root.

And on the lappy.,
don't know why, 'cause it seems to be installed., but reinstall xsane, followed by
equo deptest,
equo conf update,
equo libtest
Specific in that order...
User avatar
batvink
Old Dear Hen
 
Posts: 495
Joined: Sun Oct 28, 2007 11:44
Location: the netherlands

Re: HPLIP/SANE driving me insane!

Postby ReemZ » Fri Jan 10, 2014 19:21

batvink wrote:ok, run hp-plugin on both machines, from a terminal.
Can't remember if you you have to be root for that, but i don't think so..
If it fails as normal user, try again as root.

Done, no dice. Even after rebooting both machines.

batvink wrote:And on the lappy.,
don't know why, 'cause it seems to be installed., but reinstall xsane, followed by
equo deptest,
equo conf update,
equo libtest
Specific in that order...

You mean the desky, that's the one that won't scan ;)
Already did that a couple of times mate, to no avail...but I'll try it again specifically in that order and see if this time something pops up...

...result: deptest OK, conf all fine, libtest clean. Still no joy.

btw, launching xsane from terminal (on the desktop) gives the following error:
Code: Select all
$ xsane
xsane: strlst.c:426: avahi_string_list_get_pair: Assertion `l' failed.
Aborted
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Re: HPLIP/SANE driving me insane!

Postby ReemZ » Fri Jan 10, 2014 19:28

Unreal. Checked router settings again and don't ask why, but the tickbox 'Allow WLAN devices on the network to communicate with each other' was unticked. Ticked it, didn't take effect immediately but after a minute or so the lappy found the PSC. Printed a test page, looks OK. Still can't scan from either lappy or desky though...
Handtekening? Zeg...ik ga niet op m'n monitor schrijven!
ReemZ
Old Dear Hen
 
Posts: 701
Joined: Mon Oct 27, 2008 10:50
Location: Here! No, here! Over heeeeeeere!

Next

Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest